﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using EF_CodeFirst_Update_MVC_Core.Models;
using Microsoft.AspNetCore.Mvc;

namespace EF_CodeFirst_Update_MVC_Core.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public IActionResult Index(Customers customer)
        {
            using (CodeFirstContext context = new CodeFirstContext())
            {
                Customers updatedCustomer = (from c in context.Customers
                                            where c.CustomerId == customer.CustomerId
                                            select c).FirstOrDefault();

                if (updatedCustomer != null)
                {
                    updatedCustomer.Name = customer.Name;
                    updatedCustomer.Country = customer.Country;
                    context.SaveChanges();
                    ViewBag.Message = "Customer record updated.";
                }
                else
                {
                    ViewBag.Message = "Customer not found.";
                }
            }

            return View(customer);
        }
    }
}